Subject: Re: [GIT-P4] usage under Windows

From: Marius Storm-Olsen <[email-masked]>
Date: Sat, 01 Mar 2008 16:53:39 +0100

Tor Arvid Lund wrote:
> On 29. feb.. 2008, at 19.48, Maxim Gordienko wrote:
>> Synchronizing p4 checkout... executing p4 sync ... Path
>> 'c:/tmp/p42/main\...' is not under client's root 'c:\p4'.
> 
> I have seen it too. I'm not sure, but it seems to me like even though
> the git-p4 script does a chdir(<perforce_dir>) before calling "p4 
> <command> <args>" the chdir is "not seen by" p4 on windows.
> 
> I have a patch on my machine where i simply change all the p4 calls,
> like so:
> 
> system("p4 sync ...") --> system("p4 sync %s..." % self.clientPath)
> 
> This seems to work in all cases, and also in Mac OS X... I can
> probably clean the patch up a bit, and submit it later today or
> tomorrow if you're interested.

It must mean that you initially didn't have the perforce files synced to 
disk according to you client spec, so the command to 'cd' into the 
perforce directory failed? I think this problem is solved by just doing a
     p4 sync //depot/...
to make sure that all the files exists on disk, before trying the 'git 
p4 submit' again.

git-p4 does not require checked out files to clone from perforce, but 
requires the files to exist on disk to be able to submit back to the depot.

--
.marius